<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function(){
		var tn = 'enregistrements';

		/* data for selected record, or defaults if none is selected */
		var data = {
			code_client: <?php echo json_encode(array('id' => $rdata['code_client'], 'value' => $rdata['code_client'], 'text' => $jdata['code_client'])); ?>,
			client: <?php echo json_encode($jdata['client']); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for code_client */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'code_client' && d.id == data.code_client.id)
				return { results: [ data.code_client ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for code_client autofills */
		cache.addCheck(function(u, d){
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'code_client' && d.id == data.code_client.id){
				$j('#client' + d[rnd]).html(data.client);
				return true;
			}

			return false;
		});

		cache.start();
	});
</script>

